
/** Focus Ring
 ---------------------------------------------------------*/

.focus {
  position: absolute;
  width: 10rem;
  height: 10rem;
  font-size: 10rem;
  margin-top: -5rem;
  margin-left: -5rem;
  pointer-events: none;
  opacity: 0;
  transform-origin: 50% 50%;
  transform: rotate(0deg) scale(1);
  transition: transform 0.2s ease-in;
}

/**
 * mode
 */

.focus[mode="fixed"],
.focus[state="none"] {
  opacity: 0;
}

/**
 * state="focusing",
 * state="focused",
 * state="fail"
 */

.focus[state="focusing"],
.focus[state="focused"],
.focus[state="autofocus"],
.focus[state="fail"] {
  opacity: 0.8;
}

/** Icon
 ---------------------------------------------------------*/
.focus-ring {
  color: #ffffff;
  text-shadow: 0 0 1px rgba(0, 0, 0, 0.2);
}

.focus-ring:before,
.focus-ring:after {
  font-family: 'gaia-camera';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
}

.focus-ring:before {
  content: "\e616";
}

.focus-ring:after {
  content: "\e615";
}

/**
 * state="autofocus"
 */

.focus[state="autofocus"] {
  animation: 0.2s pulse 1 ease-in forwards;
}

@keyframes pulse {
  0% { transform: scale(1); }
  50% { transform: scale(1.2); }
  100% { transform: scale(1); }
}

.focus[state="autofocus"] .focus-ring:before {
  opacity: 1;
}

.focus[state="autofocus"] .focus-ring:after {
  opacity: 0;
}

/**
 * state="focusing"
 */

.focus[state="focusing"] {
  animation: 0.2s pulse 1 ease-in forwards;
}

.focus[state="focusing"] .focus-ring:before {
  opacity: 1;
}

.focus[state="focusing"] .focus-ring:after {
  opacity: 0;
}

/**
 * state="focused"
 */


.focus[state="focused"] .focus-ring{
  color: #afff3d;
}

.focus[state="focused"] .focus-ring:before {
  opacity: 0;
}

.focus[state="focused"] .focus-ring:after {
  opacity: 1;
}

/**
 * state="fail"
 */

.focus[state="fail"] .focus-ring{
  color: #ff0000;
}

.focus[state="fail"] .focus-ring:before{
  opacity: 0;
}

.focus[state="fail"] .focus-ring:after{
  opacity: 1;
}
